# classes/phing/tasks/ext/git/GitInitTask.php

## \GitInitTask
jump to top

Repository initialization task

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.git
since
  2.4.3
version
  $Id: GitInitTask.php 847 2010-09-03 23:43:33Z victor $

### Properties

`string $isBare= 'false'`

Whether --bare key should be set for git-init

Default value `false` Details

Type
  string

### Methods

`getBare( ) :`
`isBare( ) : string`
Alias @see getBare()
Returns

Type | Description
--- | ---
string |

`main( ) :`
The main entry point for the task
`setBare( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

Documentation was generated by DocBlox 0.13.1.